%define major   1
%define devname %mklibname belle-sip -d
%define libname %mklibname belle-sip %{major}

%bcond_with  tests

Name:           belle-sip
Version:    5.4.23
Release:        %mkrel 2
Summary:        Linphone sip stack

Group:          Communications/Telephony
License:        GPLv2
URL:            https://linphone.org/technical-corner/belle-sip/overview
Source0:        https://gitlab.linphone.org/BC/public/belle-sip/-/archive/%{version}/belle-sip-%{version}.tar.gz
# (wally) fix pkgconfig file contents when building with cmake
Patch100:	belle-sip-cmake-fix-pkgconfig-pc-file.patch
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  bctoolbox-devel >= %{version}
BuildRequires:  belr-devel >= %{version}

%description
Belle-sip is an object oriented c written SIP stack used by Linphone.

%package -n     %{libname}
Summary:        The belle-sip library, a part of belle-sip
Group:          System/Libraries
Requires:	%{name}-grammars >= %{version}-%{release}
Obsoletes:	%{_lib}bellesip1 < 5.3.5

%description -n %{libname}
The belle-sip library, a part of belle-sip.

%package -n     %{devname}
Summary:        Development libraries for belle-sip
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%{_lib}bellesip-devel < 5.3.5

%description -n %{devname}
Libraries and headers required to develop software with belle-sip.

%package grammars
Summary:	VCard grammar files for Belle-sip
Group:		Communications/Telephony
BuildArch:	noarch

%description grammars
Belle-sip VCard grammar files.

%prep
%autosetup -p1

# Fix project version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -GNinja \
    -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES \
    -DENABLE_STATIC:BOOL=NO \
    -DENABLE_STRICT:BOOL=YES \
    -DENABLE_TESTS:BOOL=%{?with_tests:YES}%{?!with_tests:NO}\
    -DENABLE_UNIT_TESTS:BOOL=%{?with_tests:YES}%{?!with_tests:NO}
%cmake_build

%install
%cmake_install

%files -n %{devname}
%doc README.md CHANGELOG.md
%{_includedir}/belle-sip/
%{_libdir}/libbelle-sip.so
%{_libdir}/pkgconfig/belle-sip.pc
%{_libdir}/cmake/BelleSIP/
%if %{with tests}
%{_bindir}/belle_sip_tester
%dir %{_datadir}/belle_sip_tester/
%{_datadir}/belle_sip_tester/tester_hosts
%endif

%files -n %{libname}
%license LICENSE.txt
%{_libdir}/libbelle-sip.so.%{major}{,.*}

%files grammars
%{_datadir}/belr/grammars/sdp_grammar.belr
%{_datadir}/belr/grammars/sip_grammar.belr


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 5.4.23-2.mga10
+ Revision: 2220931
- Mageia 10 Mass Rebuild

* Fri Jun 20 2025 aurr <aurr> 5.4.23-1.mga10
+ Revision: 2193171
- new version: 5.4.23

* Sat Dec 30 2023 wally <wally> 5.3.5-1.mga10
+ Revision: 2024677
- new version 5.3.5
 new lib and devel pkg names (bellesip -> belle-sip)

* Fri Jun 09 2023 wally <wally> 5.2.70-1.mga9
+ Revision: 1961523
- new version 5.2.70

* Sat Dec 24 2022 wally <wally> 5.2.4-1.mga9
+ Revision: 1926265
- new version 5.2.4

* Sun Dec 04 2022 wally <wally> 5.1.72-1.mga9
+ Revision: 1917532
- new version 5.1.72
- build using ninja

* Tue Aug 23 2022 wally <wally> 5.1.55-1.mga9
+ Revision: 1879627
- new version 5.1.55

* Wed May 04 2022 wally <wally> 5.1.12-3.mga9
+ Revision: 1856192
- add upstream patch to fix liblinphone build

* Wed May 04 2022 wally <wally> 5.1.12-2.mga9
+ Revision: 1856171
- rebuild to core/release

* Tue May 03 2022 wally <wally> 5.1.12-1.mga9
+ Revision: 1855700
- new version 5.1.12

* Fri Mar 25 2022 umeabot <umeabot> 5.0.53-2.mga9
+ Revision: 1825567
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 wally <wally> 5.0.53-1.mga9
+ Revision: 1758363
- new version 5.0.53

* Sat Jul 31 2021 wally <wally> 5.0.3-1.mga9
+ Revision: 1738388
- new version 5.0.3

* Sun May 30 2021 wally <wally> 4.5.15-1.mga9
+ Revision: 1728857
- new version 4.5.15

* Sat Apr 10 2021 wally <wally> 4.5.1-1.mga9
+ Revision: 1714615
- new version 4.5.1

* Sun Mar 21 2021 wally <wally> 4.4.34-1.mga9
+ Revision: 1706483
- new version 4.4.34

* Sun Dec 27 2020 wally <wally> 4.4.21-1.mga8
+ Revision: 1664105
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 4.4.19-1.mga8
+ Revision: 1661348
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 4.4.13-1.mga8
+ Revision: 1655180
- new version 4.4.13

* Mon Nov 23 2020 wally <wally> 4.4.9-1.mga8
+ Revision: 1648757
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 4.4.6-1.mga8
+ Revision: 1639236
- new version 4.4.6

* Sat Oct 03 2020 wally <wally> 4.4.2-1.mga8
+ Revision: 1632017
- new version 4.4.2

* Sat Mar 28 2020 wally <wally> 4.3.1-1.mga8
+ Revision: 1561372
- new version 4.3.1
- build with new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.6.3-3.mga7
+ Revision: 1295408
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 wally <wally> 1.6.3-2.mga7
+ Revision: 1247133
- add patch to fix devel pkg requires

* Sun Dec 31 2017 wally <wally> 1.6.3-1.mga7
+ Revision: 1188322
- new version 1.6.3
- drop unneeded bctoolbox patch
- switch to cmake build
- update URL

* Sat Dec 30 2017 wally <wally> 1.5.0-4.mga7
+ Revision: 1188072
- add patch to build with new bctoolbox
- rebuild for new libbctoolbox
+ tv <tv>
- rebuild for new libbctoolbox

* Sun Jan 22 2017 akien <akien> 1.5.0-2.mga6
+ Revision: 1083024
- Remove hard dep on mbedtls, it is now used only by bctoolbox

* Thu Dec 01 2016 zezinho <zezinho> 1.5.0-1.mga6
+ Revision: 1071545
- new style file list
- new version 1.5.0

* Thu Jan 14 2016 luigiwalser <luigiwalser> 1.4.2-2.mga6
+ Revision: 923145
- rebuild for polarssl/mbedtls
+ oden <oden>
- reverty the polarssl -> mbedtls switch
- polarssl/mbedtls

* Mon Nov 16 2015 oden <oden> 1.4.2-1.mga6
+ Revision: 903557
- 1.4.2

* Sun Jul 26 2015 daviddavid <daviddavid> 1.4.1-1.mga6
+ Revision: 857801
- new version: 1.4.1

* Thu Apr 30 2015 oden <oden> 1.4.0-1.mga5
+ Revision: 820859
- 1.4.0

* Sat Jan 17 2015 alexl <alexl> 1.3.0-2.mga5
+ Revision: 811105
- cleanup spec
- exclude the "devel(libantlr3c(64bit))" too

* Fri Jan 16 2015 alexl <alexl> 1.3.0-1.mga5
+ Revision: 810994
- used antlr-3.4 instead of antlr-3.5.2, because of regress in new antlr
- imported package belle-sip

